Aller au contenu

condenser_api.broadcast_block ​

Purpose ​

Utilisé pour diffuser (broadcast) un bloc (block).

Voir aussi : network_broadcast_api.broadcast_block

Parameters ​

PARAMETERS
json
[
  {
    "previous": "0000000000000000000000000000000000000000",
    "timestamp": "1970-01-01T00:00:00",
    "witness": "",
    "transaction_merkle_root": "0000000000000000000000000000000000000000",
    "extensions": [],
    "witness_signature": "0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "transactions": []
  }
]

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.broadcast_block",
    "params": [
      {
        "previous": "0000000000000000000000000000000000000000",
        "timestamp": "1970-01-01T00:00:00",
        "witness": "",
        "transaction_merkle_root": "0000000000000000000000000000000000000000",
        "extensions": [],
        "witness_signature": "0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
        "transactions": []
      }
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
{}

Expected curl responses ​

EXPECTED RESPONSES
text
attempting to push a block that is too old